package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbSamplingRetainedEntity;
import com.ruoyi.web.v3.model.request.HbSamplingRetainedPageReq;

/**
 * <p>
 * v3.0 留样记录 服务类
 * </p>
 */
public interface IHbSamplingRetainedService extends IService<HbSamplingRetainedEntity> {

    AjaxResult add(HbSamplingRetainedEntity request);

    AjaxResult edit(HbSamplingRetainedEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbSamplingRetainedPageReq request);

    AjaxResult listAll();
}
